"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = void 0;
const vscode = require("vscode");
const constants_1 = require("./constants");
class ConfigImpl {
    constructor() {
        this._config = vscode.workspace.getConfiguration(constants_1.Constants.EXT_ID);
    }
    get workspaceSettings() {
        return this._config.get("workspaceSettings") !== undefined;
    }
}
function getConfig() { return new ConfigImpl(); }
exports.getConfig = getConfig;
//# sourceMappingURL=config.js.map